<ion-header>
  <ion-toolbar mode="ios">
    <ion-buttons slot="start">
      <ion-back-button></ion-back-button>
    </ion-buttons>
    <ion-title>Items</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-item>
    <ion-label color="medium">
      <h2>Category</h2>
    </ion-label>
    <ion-input type="text" class="ion-text-right" [(ngModel)]="category.name"></ion-input>
  </ion-item>
  <ion-item>
    <ion-label color="medium">
      <h2>Active</h2>
    </ion-label>
    <ion-toggle [(ngModel)]="category.isActive"></ion-toggle>
  </ion-item>
  <ion-item-divider color="light">
    <ion-label>
      <h2>Items</h2>
    </ion-label>
  </ion-item-divider>
  <ion-item *ngFor="let item of items" button="true" detail="true" (click)="edit(item)">
    <ion-label>      
      <h2 [class.inactive]="!item.isActive">{{item.name}}</h2>
      <p [class.inactive]="!item.isActive">{{item.price | currency:' '}}</p>
    </ion-label>    
  </ion-item>

  <ion-fab vertical="bottom" horizontal="end" slot="fixed">
    <ion-fab-button (click)="add()">
      <ion-icon name="add"></ion-icon>
    </ion-fab-button>
  </ion-fab>
</ion-content>